import { type Ref } from 'vue';
import type { Pane, onPaneUpdate } from '@/components/hive-splitter/types';
import { VueComponent } from '../../../common/types/value';
interface ChangedPane {
    addedPane?: Pane;
}
export default function useHiveSplitter(horizontal: boolean): {
    isReady: Ref<boolean>;
    splitterRef: Ref<HTMLElement | null>;
    resetPaneSizes: (changedPane?: ChangedPane) => void;
    redoSplitters: () => void;
    checkSplitterNodes: () => void;
    onPaneAdd: (pane: VueComponent) => Promise<void>;
    onPaneUpdate: onPaneUpdate;
    touch: Ref<import("@/components/hive-splitter/types").TouchSplitter>;
};
export {};
